{
    "apiVersion": "authorization.openshift.io/v1",
    "kind": "Role",
    "metadata": {
        "name": "jupyterhub-edit",
        "namespace": "{{ meta.namespace }}",
        "labels": {
            "app": "jupyterhub"
        }
    },
    "rules": [
        {
            "apiGroups": [
                "",
                "image.openshift.io"
            ],
            "resources": [
                "imagestreamimages",
                "imagestreammappings",
                "imagestreams",
                "imagestreams/secrets",
                "imagestreamtags"
            ],
            "verbs": [
                "create",
                "delete",
                "deletecollection",
                "patch",
                "update"
            ]
        },
        {
            "apiGroups": [
                "",
                "objectbucket.io"
            ],
            "resources": [
                "objectbucketclaims"
            ],
            "verbs": [
                "create",
                "delete",
                "deletecollection",
                "patch",
                "update",
                "get",
                "list",
                "watch"
            ]
        },
        {
            "apiGroups": [
                "",
                "image.openshift.io"
            ],
            "resources": [
                "imagestreams"
            ],
            "verbs": [
                "get",
                "list",
                "watch"
            ]
        },
        {
            "apiGroups": [
                ""
            ],
            "resources": [
                "configmaps",
                "persistentvolumeclaims",
                "pods"
            ],
            "verbs": [
                "create",
                "delete",
                "deletecollection",
                "patch",
                "update"
            ]
        },
        {
            "apiGroups": [
                ""
            ],
            "resources": [
                "configmaps",
                "events",
                "persistentvolumeclaims",
                "pods"
            ],
            "verbs": [
                "get",
                "list",
                "watch"
            ]
        },
        {
            "apiGroups": [
                "",
                "template.openshift.io"
            ],
            "resources": [
                "processedtemplates",
                "templateconfigs",
                "templateinstances",
                "templates"
            ],
            "verbs": [
                "create",
                "delete",
                "deletecollection",
                "patch",
                "update"
            ]
        },
        {
            "apiGroups": [
                "",
                "template.openshift.io"
            ],
            "resources": [
                "processedtemplates",
                "templateconfigs",
                "templateinstances",
                "templates"
            ],
            "verbs": [
                "get",
                "list",
                "watch"
            ]
        },
        {
            "apiGroups": [
                "",
                "route.openshift.io"
            ],
            "resources": [
                "routes"
            ],
            "verbs": [
                "create",
                "delete",
                "deletecollection",
                "patch",
                "update"
            ]
        },
        {
            "apiGroups": [
                "",
                "route.openshift.io"
            ],
            "resources": [
                "routes"
            ],
            "verbs": [
                "get",
                "list",
                "watch"
            ]
        }
    ]
}
